## ros-indigo-segbot-gui 0.3.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(segbot_gui)
find_package(catkin REQUIRED)
catkin_package()

install(PROGRAMS scripts/question_dialog_plugin
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(FILES plugin.xml 
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-segbot-gui (0.3.5-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Sat, 27 Aug 2016 05:00:00 -0000

ros-indigo-segbot-gui (0.3.4-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Mon, 08 Aug 2016 05:00:00 -0000

ros-indigo-segbot-gui (0.3.3-0trusty) trusty; urgency=high

  * merge segbot_apps packages into segbot (#46 <https://github.com/utexas-bwi/segbot/issues/46>)
  * Contributors: Jack O'Quin

 -- Piyush Khandelwal <piyushk@gmail.com>  Wed, 05 Aug 2015 05:00:00 -0000

ros-indigo-segbot-gui (0.3.1-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 31 Mar 2015 05:00:00 -0000

ros-indigo-segbot-gui (0.3.0-0trusty) trusty; urgency=high

  * removed unnecessary script installation which installs in global bin instead of package bin.
  * migrated QuestionDialog srv to bwi_msgs in bwi_common
  * now return preempted option when preempted
  * fixed a timeout issue with the gui where preempted requests were not timing out.
  * enlarge the GUI font
  * Contributors: Piyush Khandelwal, Shiqi Zhang

 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 24 Mar 2015 05:00:00 -0000

ros-indigo-segbot-gui (0.2.1-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 22 Apr 2014 05:00:00 -0000

ros-indigo-segbot-gui (0.2.0-0trusty) trusty; urgency=high

  * now catkin_lint approved. found a bug where a plugin file was not
    being installed
  * increased default font size in the segbot gui
  * added missing run dependencies
  * added ability to ask a text-input question
  * better pep8 conformity
  * rqt simple question plugin is now ready
  * added a new gui package with a question dialog plugin for rqt
  * Contributors: Jack O'Quin, Piyush Khandelwal, piyushk

 -- Piyush Khandelwal <piyushk@gmail.com>  Sat, 19 Apr 2014 05:00:00 -0000

ros-indigo-segbot-gui (0.1.5-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 03 Sep 2013 05:00:00 -0000

ros-indigo-segbot-gui (0.1.4-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Mon, 12 Aug 2013 05:00:00 -0000

ros-indigo-segbot-gui (0.1.3-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 16 Jul 2013 05:00:00 -0000

ros-indigo-segbot-gui (0.1.2-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Sat, 13 Jul 2013 05:00:00 -0000

ros-indigo-segbot-gui (0.1.1-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Wed, 10 Jul 2013 05:00:00 -0000

ros-indigo-segbot-gui (0.1.0-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Fri, 28 Jun 2013 05:00:00 -0000

=== debian/control ===
Source: ros-indigo-segbot-gui
Section: misc
Priority: extra
Maintainer: Piyush Khandelwal <piyushk@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://ros.org/wiki/segbot_gui
Standards-Version: 3.9.2

Package: ros-indigo-segbot-gui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-bwi-msgs, ros-indigo-python-qt-binding, ros-indigo-qt-gui, ros-indigo-rospy, ros-indigo-rqt-gui, ros-indigo-rqt-gui-py
Description: Displays a simple GUI to the user.
 The GUI is capable of displaying a simple message or image to the user, and ask a question. The message and question plugins are also written in this package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-segbot-gui//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
